database 8i problems

Topics: Data Access Application Block
May 29, 2008 at 4:44 PM
Hi!, i am using the EntLib4Src, to connect into a 8i db, but i have this problem : ORA-03134: Connections to this server version are no longer supported.-

 

OracleDatabase DbFrame = new OracleDatabase(conectString);

 

 

dataReader = DbFrame.ExecuteReader(pk_name, param); <--- in this point the exception occurs.

Please i need to know is possible to use the interprise library whit 8i database, or what is my code problem, thank very much.
Mabc

 

May 29, 2008 at 7:49 PM

This is not a problem with EntLib's implementation, or even ADO.NET's implementation. Your oracle client is simply refusing to connect to your old database...
This might help http://forums.oracle.com/forums/thread.jspa?threadID=267276

Fernando


mabc wrote:
Hi!, i am using the EntLib4Src, to connect into a 8i db, but i have this problem : ORA-03134: Connections to this server version are no longer supported.-

 

OracleDatabase DbFrame = new OracleDatabase(conectString);

 

 

 

dataReader = DbFrame.ExecuteReader(pk_name, param); <--- in this point the exception occurs.

Please i need to know is possible to use the interprise library whit 8i database, or what is my code problem, thank very much.
Mabc

 

 




Jun 2, 2008 at 4:15 PM
Thank Fernando, yes the problem is the client, i have 2 client's on my server, can't i set the client in excute mode? I mind, if the Database is 8i use that client if other Database user other client?
I hope you understand...
Thank you very much.
Mabc